
QGIS Application - Bug report #6615

Add PostGIS Layers hangs in certain cases before its done determining geometry types

2012-11-03 05:17 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15802

Description

If I open Add PostGIS Layers, select a PostGIS connection, and hit Connect, the Add PostGIS Layers dialog appears and I can

select tables. However, if I double-click on any table before all tables in all schemas no longer have Detecting... in their Type field, then

QGIS hangs. Also, the Add button is disabled/grayed out until all tables' types are detected.

Expected behavior:

    -  Undesired but still better: double-clicking a table before all Detecting... goes away does not cause a hang.

    -  Preferred: Add is enabled/clickable as soon as just one table has a detected type, and if I double-click on a table or select Add after

selecting 1 or more tables (assumes that it disallows me from selecting tables that still show Detecting...), then the detecting stops, and

the selected tables are added as layers.

History

#1 - 2012-11-04 01:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

On QGIS 1.8? Have you tested master? Thanks

#2 - 2012-11-04 06:58 AM - Aren Cambre

- Affected QGIS version changed from master to 1.8.0

Sorry, yes, on 1.8.0 release. Have not tried master.

#3 - 2012-11-04 07:28 AM - Giovanni Manghi

Aren Cambre wrote:

Sorry, yes, on 1.8.0 release. Have not tried master.

ok. Please give it a try and report back. Thanks!

#4 - 2012-11-07 06:22 PM - Aren Cambre

It doesn't appear to completely hang with master, but there were still times that the dialog would be unresponsive for several seconds straight, and the OS

would gray out the window.

2025-05-18 1/2



I would still like to request the 2nd option as a feature request:

Add is enabled/clickable as soon as just one table has a detected type, and if I double-click on a table or select Add after selecting 1 or more tables

(assumes that it disallows me from selecting tables that still show Detecting...), then the detecting stops, and the selected tables are added as

layers."

#5 - 2012-11-08 03:57 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

Ok, but then please file a new ticket. Thanks!

I would still like to request the 2nd option as a feature request:

Add is enabled/clickable as soon as just one table has a detected type, and if I double-click on a table or select Add after selecting 1 or more

tables (assumes that it disallows me from selecting tables that still show Detecting...), then the detecting stops, and the selected tables are added

as layers."

#6 - 2012-11-08 06:59 AM - Aren Cambre

Added as #6664.
